CVE-2004-0014
CVSS7.5
发布时间 :2004-01-20 00:00:00
修订时间 :2008-09-10 15:24:50
NMCOS    

[原文]Multiple buffer overflows in the nd WebDAV interface 0.8.2 and earlier allows remote web servers to execute arbitrary code via certain long strings.


[CNNVD]nd工具远程缓冲区溢出漏洞(CNNVD-200401-038)

        
        nd是一款命令行WebDAV接口。
        nd存在多个安全问题,远程攻击者可以利用这些漏洞以nd进程权限在系统上执行任意指令。
        当nd处理超长URLS,验证信息和锁令牌(lock-tokens)时缺少充分的缓冲区边界检查,可导致恶意服务器在有此漏洞影响的系统上执行任意代码。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0014
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0014
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200401-038
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/9365
(VENDOR_ADVISORY)  BID  9365
http://www.debian.org/security/2004/dsa-412
(VENDOR_ADVISORY)  DEBIAN  DSA-412
http://xforce.iss.net/xforce/xfdb/14141
(VENDOR_ADVISORY)  XF  nd-long-string-bo(14141)
http://www.securitytracker.com/id?1008616
(UNKNOWN)  SECTRACK  1008616
http://secunia.com/advisories/10550
(UNKNOWN)  SECUNIA  10550
http://secunia.com/advisories/10549
(UNKNOWN)  SECUNIA  10549

- 漏洞信息

nd工具远程缓冲区溢出漏洞
高危 边界条件错误
2004-01-20 00:00:00 2005-10-20 00:00:00
远程  
        
        nd是一款命令行WebDAV接口。
        nd存在多个安全问题,远程攻击者可以利用这些漏洞以nd进程权限在系统上执行任意指令。
        当nd处理超长URLS,验证信息和锁令牌(lock-tokens)时缺少充分的缓冲区边界检查,可导致恶意服务器在有此漏洞影响的系统上执行任意代码。
        

- 公告与补丁

        厂商补丁:
        nd
        --
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载升级到0.8.2版本以上:
        
        http://www.gohome.org/nd/

- 漏洞信息

3329
nd WebDAV Interface String Handling Multiple Overflows
Input Manipulation
Loss of Integrity

- 漏洞描述

A remote overflow exists in nd. The vendor announced the vulnerability and did not release details. With a specially crafted request, a malicious web server operator can cause arbitrary code to execute resulting in a loss of confidentiality, integrity, and/or availability.

- 时间线

2003-11-29 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 0.8.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

nd Multiple Buffer Overrun Vulnerabilities
Boundary Condition Error 9365
Yes No
2004-01-06 12:00:00 2009-07-12 12:56:00
Discovery is credited to Fumitoshi UKAI.

- 受影响的程序版本

nd nd 0.5 .0

- 漏洞讨论

Multiple buffer overrun vulnerabilities were reported in nd. The source of the vulnerabilities appears to be multiple instances where sprintf() operations are performed on server-supplied data without proper bounds checking.

These issues may be exploited by a malicious WebDAV server to execute arbitrary code in the context of the software.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

Debian has released an advisory (DSA 412-1) to address these issues. Please see the attached advisory for details on obtaining and applying fixes.


nd nd 0.5 .0

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站